;DriveAlarm
;A small program intended to run at startup/logon or any time, really.
;Pops up a warning when free drive space goes below a certain percentage or 
;capacity in Megabytes.
;(c)opysomething 2006, edvard
;for DonationCoder.com Coding Snacks

;First we'll check for the DriveAlarm.ini file, and if it's not there, make one with some sane values.
IfNotExist DriveAlarm.ini
	FileAppend, [Drive]`nDrv=C:\`n[Type]`n;1=free percentage `n;2=free Megabytes`nTyp=2`n[Target]`n;If type is set to 1 this is a percentage value minus the percent sign`n;if type is set to 2 this is a value in megabytes rounded up.`nTarg=999`n[Message]`n;And a customisable message to tag at the end`n;like 'empty your Recycle Bin' or something`nMsg=, %A_WorkingDir%\DriveAlarm.ini
;Now we'll read the values into variables...
IniRead, Drv, DriveAlarm.ini, Drive, Drv
IniRead, Typ, DriveAlarm.ini, Type, Typ
IniRead, Targ, DriveAlarm.ini, Target, Targ
IniRead, Msg, DriveAlarm.ini, Message, Msg
;...and get the disk capacity and free space
DriveSpaceFree, FrSpc, %Drv%
DriveGet, DrvCap, Capacity, %Drv%
Perc:=Round(FrSpc/DrvCap*100)
;Figure out what type of space detection you want and run the alarm tests accordingly
If Typ=1
	Gosub, Percent	
If Typ=2
	Gosub, FreeMB
;and exit gracefully if all is good...	
ExitApp

Percent:
If Perc <= %Targ%
MsgBox, 48, Low Disk Warning!, Your %Drv% drive is down to %Perc%`% capacity.`n%Msg%
Return

FreeMB:
If FrSpc < %Targ%
MsgBox, 48, Low Disk Warning!, Your %Drv% drive is down to %FrSpc% Megabytes...`n%Msg%
Return
